Bug 1149884 - RFE: build from git
Summary: RFE: build from git
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-06 20:14 UTC by Honza Horak
Modified: 2015-10-28 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 05:40:06 UTC


Attachments (Terms of Use)

Description Honza Horak 2014-10-06 20:14:49 UTC
Description of problem:
It would be great if copr could build packages from git repository directly. 
There is many ways to implement this:

If Sources and patches are links, it should be enough to git a path to the spec.

If we want to support dist-git like building, then we would have to support look-aside cache for storing sources and copr would get link to git where the spec file would be found. The look-aside cache could be common with fedora one.

Comment 1 Jens Petersen 2015-10-08 02:42:51 UTC
Copr does this differently now and I quite like the general approach:
just import an srpm and it commits the packaging to distgit.
However cli commands to make more use of this would be really neat.
I think I will open a new RFE for that (basically clone, prep, local cmds),
but then maybe this could be closed?

Comment 2 Jens Petersen 2015-10-08 02:55:20 UTC
(In reply to Jens Petersen from comment #1)
> I think I will open a new RFE for [..] clone, prep, local cmds

See bug 1269707

Comment 3 Honza Horak 2015-10-08 05:40:06 UTC
(In reply to Jens Petersen from comment #1)
> I think I will open a new RFE for that (basically clone, prep, local cmds),
> but then maybe this could be closed?

Yeah, probably, thanks.. closing now.


Note You need to log in before you can comment on or make changes to this bug.